module.exports = {
  create: {
    requestBody: [
      "sender_id",
      "sender_name",
      "!content",
      "send_time",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [ "sender_id", "sender_name", "content", "send_time"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: [ "sender_id", "sender_name", "content", "send_time"],
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
