module.exports = {
  create: {
    requestBody: [
      "!owner_id",
      "!owner_name",
      "!sender_id",
      "!sender_name",
      "!present_id",
      "!present_name",
      "!price",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "owner_id",
      "owner_name",
      "sender_id",
      "sender_name",
      "present_id",
      "present_name",
      "price",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: [
        "owner_id",
        "owner_name",
        "sender_id",
        "sender_name",
        "present_id",
        "present_name",
        "price",
      ],
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
