module.exports = {
  create: {
    requestBody: [
      "!number",
      "!owner_id",
      "!owner_name",
      "room_status",
      "live_status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "number",
      "owner_id",
      "owner_name",
      "room_status",
      "live_status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: ["number","owner_id","owner_name", "room_status", "live_status"],
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
