'use strict';

const assert = require('assert');
// const _ = require('lodash');
// const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
// const { BusinessError, ErrorCode } = require('naf-core').Error;
const moment = require('moment');
class ChatService extends CrudService {
  constructor(ctx) {
    super(ctx, 'chat');
    this.model = this.ctx.model.Chat;
  }
  async create(query, { sender_id, sender_name, content }) {
    assert(sender_name, '缺少发言人信息');
    assert(content, '缺少发言内容');
    const send_time = moment().format('YYYY-MM-DD HH:mm:ss');
    const res = await this.model.create({ sender_id, sender_name, content, send_time });
    // TODO MQ
    const { mq } = this.ctx;
    if (mq) {
      const exchange = 'public_chat';
      const parm = {
        durable: true,
        headers: {
          userid: 1,
        } };
      await mq.fanout(exchange, '1', JSON.stringify(res), parm);
    }
    return res;
  }
}

module.exports = ChatService;
